lavfi/select: make lavc dependency optional.
[ffmpeg.git] / configure
index c238e56..c36d1f5 100755 (executable)
--- a/configure
+++ b/configure
@@ -1915,7 +1915,6 @@ pan_filter_deps="swresample"
 removelogo_filter_deps="avcodec avformat swscale"
 scale_filter_deps="swscale"
 smartblur_filter_deps="gpl swscale"
-select_filter_deps="avcodec"
 showspectrum_filter_deps="avcodec"
 super2xsai_filter_deps="gpl"
 tinterlace_filter_deps="gpl"
@@ -4376,7 +4375,7 @@ pkgconfig_generate libswresample "FFmpeg audio rescaling library" "$LIBSWRESAMPL
 fix_ffmpeg_remote(){
     git_remote_from=$1
     git_remote_to=$2
-    fixme_remote=$(git remote -v | grep $git_remote_from | cut -f 1 | sort | uniq)
+    fixme_remote=$(git --git-dir=$source_path/.git --work-tree=$source_path remote -v | grep $git_remote_from | cut -f 1 | sort | uniq)
     if [ "$fixme_remote" != "" ]; then
         echolog "
 Outdated domain in git config, the official domain for ffmpeg git is since